// Copyright CodeSpartan, 2022. All rights reserved.

#pragma once

#include "CoreMinimal.h"
#include "Engine/GameInstance.h"
#include "GameInstanceCpp.generated.h"

enum class LogVerbosity : uint8;

/**
 * 
 */
UCLASS()
class MMOKITCODE_API UGameInstanceCpp : public UGameInstance
{
	GENERATED_BODY()

public:

	UFUNCTION(BlueprintPure, Category = "Default")
	FString UniversalCookie() { return _universalCookie; }

	UPROPERTY(EditDefaultsOnly, BlueprintReadWrite, Category = "Default")
	LogVerbosity LogVerbosity;

#if UE_EDITOR
	FString _universalCookie = FString("$2a$12$ERfi15WDwiTF0dI0WRQrUurrt50zDYoqpHCHixCTUw2WCEh3ZzuM6");
#else
	FString _universalCookie = FString("");
#endif

};
